# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TFetchResultsResp

Packages that use TFetchResultsResp
Package
Description
com.databricks.jdbc.api.impl
com.databricks.jdbc.api.impl.arrow
com.databricks.jdbc.api.impl.arrow.incubator
com.databricks.jdbc.common.util
com.databricks.jdbc.dbclient
com.databricks.jdbc.dbclient.impl.sqlexec
com.databricks.jdbc.dbclient.impl.thrift
com.databricks.jdbc.model.client.thrift.generated

## Uses of TFetchResultsResp in com.databricks.jdbc.api.impl

Constructors in com.databricks.jdbc.api.impl with parameters of type TFetchResultsResp
Modifier
Constructor
Description
``
`DatabricksResultSet(StatementStatus statementStatus, StatementId statementId, TFetchResultsResp resultsResp, StatementType statementType, IDatabricksStatementInternal parentStatement, IDatabricksSession session)`
``
`LazyThriftResult(TFetchResultsResp initialResponse, IDatabricksStatementInternal statement, IDatabricksSession session)`
Creates a new LazyThriftResult that lazily fetches data on demand.

## Uses of TFetchResultsResp in com.databricks.jdbc.api.impl.arrow

Constructors in com.databricks.jdbc.api.impl.arrow with parameters of type TFetchResultsResp
Modifier
Constructor
Description
`protected`
`AbstractRemoteChunkProvider(IDatabricksStatementInternal parentStatement, TFetchResultsResp resultsResp, IDatabricksSession session, IDatabricksHttpClient httpClient, int maxParallelChunkDownloadsPerQuery, CompressionCodec compressionCodec)`
``
`ArrowStreamResult(TFetchResultsResp resultsResp, boolean isInlineArrow, IDatabricksStatementInternal parentStatementId, IDatabricksSession session)`

## Uses of TFetchResultsResp in com.databricks.jdbc.api.impl.arrow.incubator

Constructors in com.databricks.jdbc.api.impl.arrow.incubator with parameters of type TFetchResultsResp
Modifier
Constructor
Description
``
`RemoteChunkProviderV2(IDatabricksStatementInternal parentStatement, TFetchResultsResp resultsResp, IDatabricksSession session, IDatabricksHttpClient httpClient, int maxParallelChunkDownloadsPerQuery, CompressionCodec compressionCodec)`

## Uses of TFetchResultsResp in com.databricks.jdbc.common.util

Methods in com.databricks.jdbc.common.util with parameters of type TFetchResultsResp
Modifier and Type
Method
Description
`static List<List<Object>>`
DatabricksThriftUtil.`convertColumnarToRowBased(TFetchResultsResp resultsResp, IDatabricksStatementInternal parentStatement, IDatabricksSession session)`

## Uses of TFetchResultsResp in com.databricks.jdbc.dbclient

Methods in com.databricks.jdbc.dbclient that return TFetchResultsResp
Modifier and Type
Method
Description
`TFetchResultsResp`
IDatabricksClient.`getMoreResults(IDatabricksStatementInternal parentStatement)`

## Uses of TFetchResultsResp in com.databricks.jdbc.dbclient.impl.sqlexec

Methods in com.databricks.jdbc.dbclient.impl.sqlexec that return TFetchResultsResp
Modifier and Type
Method
Description
`TFetchResultsResp`
DatabricksSdkClient.`getMoreResults(IDatabricksStatementInternal parentStatement)`

## Uses of TFetchResultsResp in com.databricks.jdbc.dbclient.impl.thrift

Methods in com.databricks.jdbc.dbclient.impl.thrift that return TFetchResultsResp
Modifier and Type
Method
Description
`TFetchResultsResp`
DatabricksThriftServiceClient.`getMoreResults(IDatabricksStatementInternal parentStatement)`

## Uses of TFetchResultsResp in com.databricks.jdbc.model.client.thrift.generated

Subclasses with type arguments of type TFetchResultsResp in com.databricks.jdbc.model.client.thrift.generated
Modifier and Type
Class
Description
`static class`
`TCLIService.AsyncClient.FetchResults_call`
`static class`
`TCLIService.AsyncProcessor.FetchResults<I extends TCLIService.AsyncIface>`
Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TFetchResultsResp
Modifier and Type
Class
Description
`class`
`TFetchResultsResp`
`class`
`TFetchResultsResp`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TFetchResultsResp
Modifier and Type
Field
Description
`TFetchResultsResp`
TSparkDirectResults.`resultSet`
`TFetchResultsResp`
TCLIService.FetchResults_result.`success`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TFetchResultsResp
Modifier and Type
Method
Description
`TFetchResultsResp`
TFetchResultsResp.`deepCopy()`
`TFetchResultsResp`
TCLIService.Client.`FetchResults(TFetchResultsReq req)`
`TFetchResultsResp`
TCLIService.Iface.`FetchResults(TFetchResultsReq req)`
`TFetchResultsResp`
TCLIService.AsyncClient.FetchResults_call.`getResult()`
`TFetchResultsResp`
TSparkDirectResults.`getResultSet()`
`TFetchResultsResp`
TCLIService.FetchResults_result.`getSuccess()`
`TFetchResultsResp`
TCLIService.Client.`recv_FetchResults()`
`TFetchResultsResp`
TFetchResultsResp.`setHasMoreRows(boolean hasMoreRows)`
`TFetchResultsResp`
TFetchResultsResp.`setResults(TRowSet results)`
`TFetchResultsResp`
TFetchResultsResp.`setResultSetMetadata(TGetResultSetMetadataResp resultSetMetadata)`
`TFetchResultsResp`
TFetchResultsResp.`setStatus(TStatus status)`
Methods in com.databricks.jdbc.model.client.thrift.generated that return types with arguments of type TFetchResultsResp
Modifier and Type
Method
Description
`org.apache.thrift.async.AsyncMethodCallback<TFetchResultsResp>`
TCLIService.AsyncProcessor.FetchResults.`getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TFetchResultsResp
Modifier and Type
Method
Description
`int`
TFetchResultsResp.`compareTo(TFetchResultsResp other)`
`boolean`
TFetchResultsResp.`equals(TFetchResultsResp that)`
`TSparkDirectResults`
TSparkDirectResults.`setResultSet(TFetchResultsResp resultSet)`
`TCLIService.FetchResults_result`
TCLIService.FetchResults_result.`setSuccess(TFetchResultsResp success)`
Method parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TFetchResultsResp
Modifier and Type
Method
Description
`void`
TCLIService.AsyncClient.`FetchResults(TFetchResultsReq req, org.apache.thrift.async.AsyncMethodCallback<TFetchResultsResp> resultHandler)`
`void`
TCLIService.AsyncIface.`FetchResults(TFetchResultsReq req, org.apache.thrift.async.AsyncMethodCallback<TFetchResultsResp> resultHandler)`
`void`
TCLIService.AsyncProcessor.FetchResults.`start(I iface, TCLIService.FetchResults_args args, org.apache.thrift.async.AsyncMethodCallback<TFetchResultsResp> resultHandler)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TFetchResultsResp
Modifier
Constructor
Description
``
`FetchResults_result(TFetchResultsResp success)`
``
`TFetchResultsResp(TFetchResultsResp other)`
Performs a deep copy on other.
Constructor parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TFetchResultsResp
Modifier
Constructor
Description
``
`FetchResults_call(TFetchResultsReq req, org.apache.thrift.async.AsyncMethodCallback<TFetchResultsResp> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`